<?php
// register post type cause

add_action( 'init', 'register_charitxa_cause' );

function register_charitxa_cause() {  

    $labels = array( 

        'name' => __( 'Cause', 'charitxa' ),

        'singular_name' => __( 'Cause', 'charitxa' ),

        'add_new' => __( 'Add New Cause', 'charitxa' ),

        'add_new_Cause' => __( 'Add New Cause', 'charitxa' ),

        'edit_Cause' => __( 'Edit Cause', 'charitxa' ),

        'new_Cause' => __( 'New Cause', 'charitxa' ),

        'view_Cause' => __( 'View Cause', 'charitxa' ),

        'search_Causes' => __( 'Search Cause', 'charitxa' ),

        'not_found' => __( 'No Cause Found', 'charitxa' ),

        'not_found_in_trash' => __( 'No Cause found in Trash', 'charitxa' ),

        'parent_Cause_colon' => __( 'Parent Cause:', 'charitxa' ),

        'menu_name' => __( 'Cause', 'charitxa' ),

    );

    $args = array( 

        'labels' => $labels,

        'hierarchical' => true,

        'description' => 'List Cause',

        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),

        'taxonomies' => array( 'Cause', 'type1','category1' ),

        'public' => true,

        'show_ui' => true,

        'show_in_menu' => true,

        'menu_position' => 5,

        'menu_icon' => 'dashicons-admin-site', 

        'show_in_nav_menus' => true,

        'publicly_queryable' => true,

        'exclude_from_search' => false,

        'has_archive' => true,

        'query_var' => true,

        'can_export' => true,

        'rewrite' => true,

        'capability_type' => 'post'
    );


    register_post_type( 'cause', $args );

}

add_action( 'init', 'create_type1_hierarchical_taxonomy', 0 );

add_action( 'init', 'create_category1_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts


function create_type1_hierarchical_taxonomy() {


// Add new taxonomy, make it hierarchical like Skills

//first do the translations part for GUI


  $labels = array(

    'name' => __( 'Type', 'charitxa' ),

    'singular_name' => __( 'Type', 'charitxa' ),

    'search_Causes' =>  __( 'Search Type','charitxa' ),

    'all_Causes' => __( 'All Type','charitxa' ),

    'parent_Cause' => __( 'Parent Type','charitxa' ),

    'parent_Cause_colon' => __( 'Parent Type:','charitxa' ),

    'edit_Cause' => __( 'Edit Type','charitxa' ), 

    'update_Cause' => __( 'Update Type','charitxa' ),

    'add_new_Cause' => __( 'Add New Type','charitxa' ),

    'new_Cause_name' => __( 'New Type Name','charitxa' ),

    'menu_name' => __( 'Type','charitxa' ),

  );     

// Now register the taxonomy

  register_taxonomy('type1',array('cause'), array(

    'hierarchical' => true,

    'labels' => $labels,

    'show_ui' => true,

    'show_admin_column' => true,

    'query_var' => true,

    'rewrite' => array( 'slug' => 'type' ),

  ));

}

function create_category1_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Category', 'charitxa' ),
    'singular_name' => __( 'Category', 'charitxa' ),
    'search_Causes' =>  __( 'Search Category','charitxa' ),
    'all_Causes' => __( 'All Category','charitxa' ),
    'parent_Cause' => __( 'Parent Category','charitxa' ),
    'parent_Cause_colon' => __( 'Parent Category:','charitxa' ),
    'edit_Cause' => __( 'Edit Category','charitxa' ), 
    'update_Cause' => __( 'Update Category','charitxa' ),
    'add_new_Cause' => __( 'Add New Category','charitxa' ),
    'new_Cause_name' => __( 'New Category Name','charitxa' ),
    'menu_name' => __( 'Category','charitxa' ),
  );     

// Now register the taxonomy

  register_taxonomy('category1',array('cause'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'category1' ),
  ));
}

// register post type event
add_action( 'init', 'register_charitxa_event' );

function register_charitxa_event() {  

    $labels = array( 

        'name' => __( 'Event', 'charitxa' ),

        'singular_name' => __( 'Event', 'charitxa' ),

        'add_new' => __( 'Add New Event', 'charitxa' ),

        'add_new_Event' => __( 'Add New Event', 'charitxa' ),

        'edit_Event' => __( 'Edit Event', 'charitxa' ),

        'new_Event' => __( 'New Event', 'charitxa' ),

        'view_Event' => __( 'View Event', 'charitxa' ),

        'search_Events' => __( 'Search Event', 'charitxa' ),

        'not_found' => __( 'No Event Found', 'charitxa' ),

        'not_found_in_trash' => __( 'No Event found in Trash', 'charitxa' ),

        'parent_Event_colon' => __( 'Parent Event:', 'charitxa' ),

        'menu_name' => __( 'Event', 'charitxa' ),

    );

    $args = array( 

        'labels' => $labels,

        'hierarchical' => true,

        'description' => 'List Event',

        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),

        'taxonomies' => array( 'Event', 'type2', 'category2' ),

        'public' => true,

        'show_ui' => true,

        'show_in_menu' => true,

        'menu_position' => 5,

        'menu_icon' => 'dashicons-bell', 

        'show_in_nav_menus' => true,

        'publicly_queryable' => true,

        'exclude_from_search' => false,

        'has_archive' => true,

        'query_var' => true,

        'can_export' => true,

        'rewrite' => true,

        'capability_type' => 'post'
    );


    register_post_type( 'event', $args );

}

add_action( 'init', 'create_type2_hierarchical_taxonomy', 0 );
add_action( 'init', 'create_category2_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts


function create_type2_hierarchical_taxonomy() {


// Add new taxonomy, make it hierarchical like Skills

//first do the translations part for GUI


  $labels = array(

    'name' => __( 'Type', 'charitxa' ),

    'singular_name' => __( 'Type', 'charitxa' ),

    'search_Events' =>  __( 'Search Type','charitxa' ),

    'all_Events' => __( 'All Type','charitxa' ),

    'parent_Event' => __( 'Parent Type','charitxa' ),

    'parent_Event_colon' => __( 'Parent Type:','charitxa' ),

    'edit_Event' => __( 'Edit Type','charitxa' ), 

    'update_Event' => __( 'Update Type','charitxa' ),

    'add_new_Event' => __( 'Add New Type','charitxa' ),

    'new_Event_name' => __( 'New Type Name','charitxa' ),

    'menu_name' => __( 'Type','charitxa' ),

  );     

// Now register the taxonomy

  register_taxonomy('type2',array('event'), array(

    'hierarchical' => true,

    'labels' => $labels,

    'show_ui' => true,

    'show_admin_column' => true,

    'query_var' => true,

    'rewrite' => array( 'slug' => 'type' ),

  ));

}

function create_category2_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Category', 'charitxa' ),
    'singular_name' => __( 'Category', 'charitxa' ),
    'search_Events' =>  __( 'Search Category','charitxa' ),
    'all_Events' => __( 'All Category','charitxa' ),
    'parent_Event' => __( 'Parent Category','charitxa' ),
    'parent_Event_colon' => __( 'Parent Category:','charitxa' ),
    'edit_Event' => __( 'Edit Category','charitxa' ), 
    'update_Event' => __( 'Update Category','charitxa' ),
    'add_new_Event' => __( 'Add New Category','charitxa' ),
    'new_Event_name' => __( 'New Category Name','charitxa' ),
    'menu_name' => __( 'Category','charitxa' ),
  );     

// Now register the taxonomy

  register_taxonomy('category2',array('event'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'category2' ),
  ));
  
}
  // register post type service
add_action( 'init', 'register_charitxa_service' );

function register_charitxa_service() {  

    $labels = array( 

        'name' => __( 'Service', 'charitxa' ),

        'singular_name' => __( 'Service', 'charitxa' ),

        'add_new' => __( 'Add New Service', 'charitxa' ),

        'add_new_Service' => __( 'Add New Service', 'charitxa' ),

        'edit_Service' => __( 'Edit Service', 'charitxa' ),

        'new_Service' => __( 'New Service', 'charitxa' ),

        'view_Service' => __( 'View Service', 'charitxa' ),

        'search_Services' => __( 'Search Service', 'charitxa' ),

        'not_found' => __( 'No Service Found', 'charitxa' ),

        'not_found_in_trash' => __( 'No Service found in Trash', 'charitxa' ),

        'parent_Service_colon' => __( 'Parent Service:', 'charitxa' ),

        'menu_name' => __( 'Service', 'charitxa' ),

    );

    $args = array( 

        'labels' => $labels,

        'hierarchical' => true,

        'description' => 'List Service',

        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),

        'taxonomies' => array( 'Service', 'type3', 'category3' ),

        'public' => true,

        'show_ui' => true,

        'show_in_menu' => true,

        'menu_position' => 5,

        'menu_icon' => 'dashicons-portfolio', 

        'show_in_nav_menus' => true,

        'publicly_queryable' => true,

        'exclude_from_search' => false,

        'has_archive' => true,

        'query_var' => true,

        'can_export' => true,

        'rewrite' => true,

        'capability_type' => 'post'
    );


    register_post_type( 'service', $args );

}

add_action( 'init', 'create_type3_hierarchical_taxonomy', 0 );
add_action( 'init', 'create_category3_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts


function create_type3_hierarchical_taxonomy() {


// Add new taxonomy, make it hierarchical like Skills

//first do the translations part for GUI


  $labels = array(

    'name' => __( 'Type', 'charitxa' ),

    'singular_name' => __( 'Type', 'charitxa' ),

    'search_Services' =>  __( 'Search Type','charitxa' ),

    'all_Services' => __( 'All Type','charitxa' ),

    'parent_Service' => __( 'Parent Type','charitxa' ),

    'parent_Service_colon' => __( 'Parent Type:','charitxa' ),

    'edit_Service' => __( 'Edit Type','charitxa' ), 

    'update_Service' => __( 'Update Type','charitxa' ),

    'add_new_Service' => __( 'Add New Type','charitxa' ),

    'new_Service_name' => __( 'New Type Name','charitxa' ),

    'menu_name' => __( 'Type','charitxa' ),

  );     

// Now register the taxonomy

  register_taxonomy('type3',array('service'), array(

    'hierarchical' => true,

    'labels' => $labels,

    'show_ui' => true,

    'show_admin_column' => true,

    'query_var' => true,

    'rewrite' => array( 'slug' => 'type' ),

  ));

}

function create_category3_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Category', 'charitxa' ),
    'singular_name' => __( 'Category', 'charitxa' ),
    'search_Services' =>  __( 'Search Category','charitxa' ),
    'all_Services' => __( 'All Category','charitxa' ),
    'parent_Service' => __( 'Parent Category','charitxa' ),
    'parent_Service_colon' => __( 'Parent Category:','charitxa' ),
    'edit_Service' => __( 'Edit Category','charitxa' ), 
    'update_Service' => __( 'Update Category','charitxa' ),
    'add_new_Service' => __( 'Add New Category','charitxa' ),
    'new_Service_name' => __( 'New Category Name','charitxa' ),
    'menu_name' => __( 'Category','charitxa' ),
  );     

// Now register the taxonomy

  register_taxonomy('category3',array('service'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'category3' ),
  ));
}

// register post type priority

add_action( 'init', 'register_charitxa_priority' );

function register_charitxa_priority() {  

    $labels = array( 

        'name' => __( 'Priority', 'charitxa' ),

        'singular_name' => __( 'Priority', 'charitxa' ),

        'add_new' => __( 'Add New Priority', 'charitxa' ),

        'add_new_Priority' => __( 'Add New Priority', 'charitxa' ),

        'edit_Priority' => __( 'Edit Priority', 'charitxa' ),

        'new_Priority' => __( 'New Priority', 'charitxa' ),

        'view_Priority' => __( 'View Priority', 'charitxa' ),

        'search_Prioritys' => __( 'Search Priority', 'charitxa' ),

        'not_found' => __( 'No Priority Found', 'charitxa' ),

        'not_found_in_trash' => __( 'No Priority found in Trash', 'charitxa' ),

        'parent_Priority_colon' => __( 'Parent Priority:', 'charitxa' ),

        'menu_name' => __( 'Priority', 'charitxa' ),

    );

    $args = array( 

        'labels' => $labels,

        'hierarchical' => true,

        'description' => 'List Priority',

        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),

        'taxonomies' => array( 'Priority', 'type4','category4' ),

        'public' => true,

        'show_ui' => true,

        'show_in_menu' => true,

        'menu_position' => 5,

        'menu_icon' => 'dashicons-star-empty', 

        'show_in_nav_menus' => true,

        'publicly_queryable' => true,

        'exclude_from_search' => false,

        'has_archive' => true,

        'query_var' => true,

        'can_export' => true,

        'rewrite' => true,

        'capability_type' => 'post'
    );


    register_post_type( 'priority', $args );

}

add_action( 'init', 'create_type4_hierarchical_taxonomy', 0 );

add_action( 'init', 'create_category4_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts


function create_type4_hierarchical_taxonomy() {


// Add new taxonomy, make it hierarchical like Skills

//first do the translations part for GUI


  $labels = array(

    'name' => __( 'Type', 'charitxa' ),

    'singular_name' => __( 'Type', 'charitxa' ),

    'search_Prioritys' =>  __( 'Search Type','charitxa' ),

    'all_Prioritys' => __( 'All Type','charitxa' ),

    'parent_Priority' => __( 'Parent Type','charitxa' ),

    'parent_Priority_colon' => __( 'Parent Type:','charitxa' ),

    'edit_Priority' => __( 'Edit Type','charitxa' ), 

    'update_Priority' => __( 'Update Type','charitxa' ),

    'add_new_Priority' => __( 'Add New Type','charitxa' ),

    'new_Priority_name' => __( 'New Type Name','charitxa' ),

    'menu_name' => __( 'Type','charitxa' ),

  );     

// Now register the taxonomy

  register_taxonomy('type4',array('priority'), array(

    'hierarchical' => true,

    'labels' => $labels,

    'show_ui' => true,

    'show_admin_column' => true,

    'query_var' => true,

    'rewrite' => array( 'slug' => 'type' ),

  ));

}

function create_category4_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Category', 'charitxa' ),
    'singular_name' => __( 'Category', 'charitxa' ),
    'search_Prioritys' =>  __( 'Search Category','charitxa' ),
    'all_Prioritys' => __( 'All Category','charitxa' ),
    'parent_Priority' => __( 'Parent Category','charitxa' ),
    'parent_Priority_colon' => __( 'Parent Category:','charitxa' ),
    'edit_Priority' => __( 'Edit Category','charitxa' ), 
    'update_Priority' => __( 'Update Category','charitxa' ),
    'add_new_Priority' => __( 'Add New Category','charitxa' ),
    'new_Priority_name' => __( 'New Category Name','charitxa' ),
    'menu_name' => __( 'Category','charitxa' ),
  );     

// Now register the taxonomy

  register_taxonomy('category4',array('priority'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'category4' ),
  ));
}

// register post type story

add_action( 'init', 'register_charitxa_story' );

function register_charitxa_story() {  

    $labels = array( 

        'name' => __( 'Story', 'charitxa' ),

        'singular_name' => __( 'Story', 'charitxa' ),

        'add_new' => __( 'Add New Story', 'charitxa' ),

        'add_new_Story' => __( 'Add New Story', 'charitxa' ),

        'edit_Story' => __( 'Edit Story', 'charitxa' ),

        'new_Story' => __( 'New Story', 'charitxa' ),

        'view_Story' => __( 'View Story', 'charitxa' ),

        'search_Storys' => __( 'Search Story', 'charitxa' ),

        'not_found' => __( 'No Story Found', 'charitxa' ),

        'not_found_in_trash' => __( 'No Story found in Trash', 'charitxa' ),

        'parent_Story_colon' => __( 'Parent Story:', 'charitxa' ),

        'menu_name' => __( 'Story', 'charitxa' ),

    );

    $args = array( 

        'labels' => $labels,

        'hierarchical' => true,

        'description' => 'List Story',

        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),

        'taxonomies' => array( 'Story', 'type5','category5' ),

        'public' => true,

        'show_ui' => true,

        'show_in_menu' => true,

        'menu_position' => 5,

        'menu_icon' => 'dashicons-heart', 

        'show_in_nav_menus' => true,

        'publicly_queryable' => true,

        'exclude_from_search' => false,

        'has_archive' => true,

        'query_var' => true,

        'can_export' => true,

        'rewrite' => true,

        'capability_type' => 'post'
    );


    register_post_type( 'story', $args );

}

add_action( 'init', 'create_type5_hierarchical_taxonomy', 0 );

add_action( 'init', 'create_category5_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts


function create_type5_hierarchical_taxonomy() {


// Add new taxonomy, make it hierarchical like Skills

//first do the translations part for GUI


  $labels = array(

    'name' => __( 'Type', 'charitxa' ),

    'singular_name' => __( 'Type', 'charitxa' ),

    'search_Storys' =>  __( 'Search Type','charitxa' ),

    'all_Storys' => __( 'All Type','charitxa' ),

    'parent_Story' => __( 'Parent Type','charitxa' ),

    'parent_Story_colon' => __( 'Parent Type:','charitxa' ),

    'edit_Story' => __( 'Edit Type','charitxa' ), 

    'update_Story' => __( 'Update Type','charitxa' ),

    'add_new_Story' => __( 'Add New Type','charitxa' ),

    'new_Story_name' => __( 'New Type Name','charitxa' ),

    'menu_name' => __( 'Type','charitxa' ),

  );     

// Now register the taxonomy

  register_taxonomy('type5',array('story'), array(

    'hierarchical' => true,

    'labels' => $labels,

    'show_ui' => true,

    'show_admin_column' => true,

    'query_var' => true,

    'rewrite' => array( 'slug' => 'type' ),

  ));

}

function create_category5_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Category', 'charitxa' ),
    'singular_name' => __( 'Category', 'charitxa' ),
    'search_Storys' =>  __( 'Search Category','charitxa' ),
    'all_Storys' => __( 'All Category','charitxa' ),
    'parent_Story' => __( 'Parent Category','charitxa' ),
    'parent_Story_colon' => __( 'Parent Category:','charitxa' ),
    'edit_Story' => __( 'Edit Category','charitxa' ), 
    'update_Story' => __( 'Update Category','charitxa' ),
    'add_new_Story' => __( 'Add New Category','charitxa' ),
    'new_Story_name' => __( 'New Category Name','charitxa' ),
    'menu_name' => __( 'Category','charitxa' ),
  );     

// Now register the taxonomy

  register_taxonomy('category5',array('story'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'category5' ),
  ));
}