<?php
/**
 * The template for displaying 404 pages (Not Found)
 */
$charitxa_redux_demo = get_option('redux_demo');
get_header(); ?> 
<!-- Page Banner Start -->
<?php if(isset($charitxa_redux_demo['404_banner']['url']) && $charitxa_redux_demo['404_banner']['url'] != ''){ ?>
<section class="page-banner-area bgs-cover pt-145 rpt-135 pb-95" style="background-image: url(<?php echo esc_url($charitxa_redux_demo['404_banner']['url']);?>);">
<?php } else { ?>
<section class="page-banner-area bgs-cover pt-145 rpt-135 pb-95" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/images/background/banner.jpg);">
<?php } ?>
    <div class="container">
        <div class="banner-inner text-white">
            <h2 class="page-title wow fadeInRight delay-0-2s"><?php if(isset($charitxa_redux_demo['error_title'])){?>
                              <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['error_title']));?>
                              <?php }else{?>
                              <?php echo esc_html__( '404 Error', 'charitxa' ); } ?></h2>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb wow fadeInLeft delay-0-2s">
                    <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')); ?>"><i class="fas fa-home-lg-alt"></i> <?php if(isset($charitxa_redux_demo['error_home_text'])){?>
                                  <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['error_home_text']));?>
                                  <?php }else{?>
                                  <?php echo esc_html__( 'Home', 'charitxa' ); } ?></a></li>
                    <li class="breadcrumb-item active"><?php if(isset($charitxa_redux_demo['error_title'])){?>
                              <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['error_title']));?>
                              <?php }else{?>
                              <?php echo esc_html__( '404 Error', 'charitxa' ); } ?></li>
                </ol>
            </nav>
        </div>
    </div>
</section>
<!-- Page Banner End -->

  
<!-- 404 Page Area start -->
<?php if(isset($charitxa_redux_demo['404_background']['url']) && $charitxa_redux_demo['404_background']['url'] != ''){ ?>
<section class="error-page pt-110 pb-120 bgs-cover" style="background-image: url(<?php echo esc_url($charitxa_redux_demo['404_background']['url']);?>);">
<?php } else { ?>
<section class="error-page pt-110 pb-120 bgs-cover" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/images/background/404-bg.jpg);">
<?php } ?>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-xl-7 col-lg-8">
                <div class="error-inner text-center wow fadeInUp delay-0-2s">
                    <?php if(isset($charitxa_redux_demo['404_image']['url']) && $charitxa_redux_demo['404_image']['url'] != ''){ ?>
                    <img src="<?php echo esc_url($charitxa_redux_demo['404_image']['url']);?>" alt="404 Error">
                    <?php } else { ?>
                    <img src="<?php echo get_template_directory_uri();?>/assets/images/background/404.png" alt="404 Error">
                    <?php } ?>
                    <h4><?php if(isset($charitxa_redux_demo['404_desc'])){?>
                          <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['404_desc']));?>
                          <?php }else{?>
                          <?php echo esc_html__( 'OOPPS! THE PAGE YOU WERE LOOKING FOR, COULD NOT BE FOUND.', 'charitxa' ); } ?></h4>
                    <?php if(isset($charitxa_redux_demo['404_text']) && $charitxa_redux_demo['404_text'] != ''){?>
                    <i><?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['404_text']));?></i>
                    <?php } ?>
                    <form class="search-form my-30 wow fadeInUp delay-0-3s" action="#">
                        <input name='s' id="search" type="search" placeholder="Search Keyword....." required="">
                        <button type="submit"><i class="fas fa-search"></i></button>
                    </form>
                    <a href="<?php echo esc_url(home_url('/')); ?>" class="theme-btn br-10 wow fadeInUp delay-0-4s">
                        <span class="btn-text normal"><?php if(isset($redux_demo['404_button'])){?>
                          <?php echo wp_specialchars_decode($redux_demo['404_button']);?>
                          <?php }else{?>
                          <?php echo esc_html__( 'Back To Home', 'charitxa' ); } ?></span>
                        <span class="btn-text hover"><?php if(isset($redux_demo['404_button'])){?>
                          <?php echo wp_specialchars_decode($redux_demo['404_button']);?>
                          <?php }else{?>
                          <?php echo esc_html__( 'Back To Home', 'charitxa' ); } ?></span>
                    </a>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- 404 Page Area end -->
<?php get_footer(); ?>