<?php
$charitxa_redux_demo = get_option('redux_demo');
get_header(); ?>
<!-- Page Banner Start -->
<?php if(isset($charitxa_redux_demo['blog_background']['url']) && $charitxa_redux_demo['blog_background']['url'] != ''){ ?>
<section class="page-banner-area bgs-cover pt-145 rpt-135 pb-95" style="background-image: url(<?php echo esc_url($charitxa_redux_demo['blog_background']['url']);?>);">
<?php } else { ?>
<section class="page-banner-area bgs-cover pt-145 rpt-135 pb-95" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/images/background/banner.jpg);">
<?php } ?>
    <div class="container">
        <div class="banner-inner text-white">
            <h2 class="page-title wow fadeInRight delay-0-2s"><?php the_post(); printf( esc_html__( 'All posts by %s', 'charitxa' ), get_the_author() ); ?></h2>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb wow fadeInLeft delay-0-2s">
                    <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')); ?>"><i class="fas fa-home-lg-alt"></i> <?php if(isset($charitxa_redux_demo['home_text'])){?>
                        <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['home_text']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Home', 'charitxa' );
                        }
                        ?></a></li>
                    <li class="breadcrumb-item active"><?php echo esc_html__( 'Author Posts', 'charitxa' ); ?></li>
                </ol>
            </nav>
        </div>
    </div>
</section>
<!-- Page Banner End -->
<!-- Blog Page Area start -->
<section class="blog-page-area py-110">
    <div class="container">
        <div class="row">
            <?php if ( is_active_sidebar( 'sidebar-1' ) ){?>
            <div class="col-lg-8">
            <?php }else{?>
            <div class="col-lg-12">
            <?php } ?>
                <div class="row">
                    <?php 
                        while (have_posts()): the_post();
                        $featured_image = get_post_meta(get_the_ID(),'_cmb_featured_image', true);
                    ?> 
                    <div class="col-md-12">
                        <div class="blog-three-item wow fadeInUp delay-0-2s">
                            <?php if(isset($featured_image) && $featured_image != '') { ?>
                            <div class="image">
                                <a href="<?php the_permalink();?>"><img src="<?php echo wp_get_attachment_url($featured_image);?>" alt="<?php the_title_attribute(); ?>"></a>
                            </div>
                            <?php } elseif ( has_post_thumbnail() ) { ?>
                                <a href="<?php the_permalink();?>"><img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="<?php the_title_attribute(); ?>"></a>
                                
                            <?php } ?>
                            <div class="content">
                                <h5><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h5>
                                <ul class="blog-meta">
                                    <li><i class="fas fa-calendar-alt"></i> <?php the_time(get_option( 'date_format' ));?></li>
                                    <li><i class="fas fa-comment-alt-dots"></i> <?php comments_number( esc_html__('0 Comments', 'charitxa'), esc_html__('1 Comment', 'charitxa'), esc_html__('% Comments', 'charitxa') ); ?></li>
                                </ul>
                                <?php if ( is_sticky() )
                                    echo '<span class="sticky">' . esc_html__( 'Sticky', 'charitxa' ) . '</span>';
                                ?>
                                <p><?php echo wp_kses_post(charitxa_excerpt(30));?></p>
                                <div class="blog-admin">
                                   <?php echo get_avatar(get_the_author_meta('user_email'),$size='120', $default='http://0.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=120' );?> <span><?php if(isset($charitxa_redux_demo['by'])){?>
                                        <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['by']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'By:', 'charitxa' ); } ?></span> <?php the_author_posts_link(); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endwhile; ?> 
                    <div class="col-lg-12 text-center">
                        <?php 
                        $pagination = array(
                            'base'      => str_replace( 999999999, '%#%', get_pagenum_link( 999999999 ) ),
                            'format'    => '',
                            'prev_text' => wp_specialchars_decode( '<i class="fa fa-angle-left"></i>',ENT_QUOTES),
                            'next_text' => wp_specialchars_decode( '<i class="fa fa-angle-right"></i>',ENT_QUOTES),
                            'type'      => 'list',
                            'end_size'    => 3,
                            'mid_size'    => 3
                        );
                        if(paginate_links( $pagination ) != ''){
                            $return =  paginate_links( $pagination );
                            echo str_replace( "<ul class='page-numbers'>", '<ul class="pagination flex-wrap mt-45 rmt-25 wow fadeInUp delay-0-2s">', $return );
                        }
                   ?>
                    </div>
                </div>
            </div>
            <?php if ( is_active_sidebar( 'sidebar-1' ) ){?>
            <div class="col-lg-4 col-md-7 col-sm-9">
                <div class="main-sidebar rmb-75">
                    <?php get_sidebar(); ?>
                </div>
            </div>
            <?php } ?> 
        </div>
    </div>
</section>
<!-- Blog Page Area end -->
<?php
get_footer();
?>