<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>
<?php if ( have_comments() ) : ?>   
    <div class="comment-titl mb-25">
        <h4><?php comments_number( esc_html__('0 Comments', 'charitxa'), esc_html__('1 Comment', 'charitxa'), esc_html__('% Comments', 'charitxa') ); ?></h4>
    </div>
    
    <div class="comments pb-25">
        <div class="comment-body wow fadeInUp delay-0-2s">
            <?php wp_list_comments('callback=charitxa_theme_comment'); ?>
        </div>
    </div>
    <?php
    if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
    ?>
        <div class="pagination_area">
            <nav>
                <ul class="pagination">
                    <li> <?php paginate_comments_links( 
                          array(
                          'prev_text' => wp_specialchars_decode( '<i class="fa fa-angle-left"></i>',ENT_QUOTES),
                          'next_text' => wp_specialchars_decode( '<i class="fa fa-angle-right"></i>',ENT_QUOTES),
                          ));  ?>
                    </li>
                </ul>
            </nav>
        </div>
    <?php endif; ?>
    <!-- END PAGINATION -->
<?php endif; ?>           
<?php
    if ( is_singular() ) wp_enqueue_script( "comment-reply" );
        $aria_req = ( $req ? " aria-required='true'" : '' );
            $comment_args = array(
                'id_form' => 'comment-form',        
                'class_form' => 'comment-form wow fadeInUp delay-0-2s',                         
                'title_reply'=> esc_html__( 'Leave A Comment', 'charitxa' ),
                'title_reply_before' => '<div class="comment-title mb-15">
                                            <h4>',
                'title_reply_after'  => '   </h4>
                                        </div>',
                'fields' => apply_filters( 'comment_form_default_fields', array(
                    'author' => '<input type="text" id="full-name" name="author" class="form-control" placeholder="'.esc_attr__('Full Name', 'charitxa').'" required="'.esc_attr__('required', 'charitxa').'" data-error="'.esc_attr__('Name is required.', 'charitxa').'">',
                    'email' => '<input type="email" id="blog-email" name="email" class="form-control" placeholder="'.esc_attr__('Email Address', 'charitxa').'" required="'.esc_attr__('required', 'charitxa').'" data-error="'.esc_attr__('Valid email is required.', 'charitxa').'">',  
                    
                ) ),   
                'comment_field' => '<textarea name="comment" id="message" class="form-control" rows="6" placeholder="'.esc_attr__('Write a comment...', 'charitxa').'" required="'.esc_attr__('required', 'charitxa').'" data-error="'.esc_attr__('Please,leave us a message.', 'charitxa').'"></textarea>',
                'label_submit' =>   esc_html__( 'Post A Comment', 'charitxa' ),
                'submit_button' =>  '<button type="submit" class="theme-btn mt-10 br-10">
                                        <span class="btn-text normal">'.esc_attr__('%4$s', 'charitxa').'</span>
                                        <span class="btn-text hover">'.esc_attr__('%4$s', 'charitxa').'</span>
                                    </button>',
                'submit_field' =>esc_attr__('%1$s', 'charitxa').' '.esc_attr__('%2$s', 'charitxa'),
                'comment_notes_before' => '',
                'comment_notes_after' => '',             
            )
    ?>
    <?php if ( comments_open() ) : ?>
        <?php comment_form($comment_args); ?>
    <?php endif; ?>    

