<?php
$charitxa_redux_demo = get_option('redux_demo');

//Custom fields:
require_once get_template_directory() . '/framework/widget/recent-post.php';
require_once get_template_directory() . '/framework/widget/sidebar-links.php';
require_once get_template_directory() . '/framework/widget/sidebar-donate.php';
require_once get_template_directory() . '/framework/widget/recent-service.php';
require_once get_template_directory() . '/framework/widget/footer-links.php';
require_once get_template_directory() . '/framework/widget/footer-socials.php';
require_once get_template_directory() . '/framework/widget/footer-contact-1.php';
require_once get_template_directory() . '/framework/widget/footer-contact-2.php';
require_once get_template_directory() . '/framework/widget/recent-causes.php';
require_once get_template_directory() . '/framework/wp_bootstrap_navwalker.php';
require_once get_template_directory() . '/framework/class-ocdi-importer.php';

//Theme Set up:
function charitxa_theme_setup() {
  /*
   * This theme uses a custom image size for featured images, displayed on
   * "standard" posts and pages.
   */
  add_theme_support( 'custom-header' ); 
  add_theme_support( 'custom-background' );
  $lang = get_template_directory_uri() . '/languages';
  load_theme_textdomain('charitxa', $lang);
  add_theme_support( 'post-thumbnails' );
  // Adds RSS feed links to <head> for posts and comments.
  add_theme_support( 'automatic-feed-links' );
  // Switches default core markup for search form, comment form, and comments
  // to output valid HTML5.
  add_theme_support( 'title-tag' );
  add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list' ) );
  // This theme uses wp_nav_menu() in one location.
  register_nav_menus( array(
    'primary' =>  esc_html__( 'Primary Navigation Menu: Chosen menu in Home page, single, blog, pages ...', 'charitxa' ),
  ) );
    // This theme uses its own gallery styles.
}
add_action( 'after_setup_theme', 'charitxa_theme_setup' );
if ( ! isset( $content_width ) ) $content_width = 900;
 
function charitxa_theme_scripts_styles() {
  $charitxa_redux_demo = get_option('redux_demo');
  $protocol = is_ssl() ? 'https' : 'http';
    if ( !is_page_template('page-templates/home-four.php')){
      wp_enqueue_style( 'googlefonts-1', 'https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,400;0,700;1,400;1,700&family=PT+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Smooch&display=swap', array(), null );
    }
    if ( is_page_template('page-templates/home-four.php')){
      wp_enqueue_style( 'googlefonts-2', 'https://fonts.googleapis.com/css2?family=Dosis:wght@400;700&family=Lato:ital,wght@0,400;0,700;1,400;1,700&family=Smooch&display=swap', array(), null );
    }
    wp_enqueue_style('fontawesome', get_template_directory_uri().'/assets/css/fontawesome-5.14.0.min.css');
    wp_enqueue_style('bootstrap', get_template_directory_uri().'/assets/css/bootstrap.min.css');
    wp_enqueue_style('magnific-popup', get_template_directory_uri().'/assets/css/magnific-popup.min.css');
    wp_enqueue_style('nice-select', get_template_directory_uri().'/assets/css/nice-select.min.css');
    wp_enqueue_style('animatenice-select', get_template_directory_uri().'/assets/css/animate.min.css');
    wp_enqueue_style('slick', get_template_directory_uri().'/assets/css/slick.min.css');
    wp_enqueue_style('charitxa-css', get_template_directory_uri().'/assets/css/style.css');
    wp_enqueue_style('charitxa-style', get_stylesheet_uri(), array(), '2024-01-08' );
    if(isset($charitxa_redux_demo['chosen-color']) && $charitxa_redux_demo['chosen-color']==1){
    wp_enqueue_style( 'color', get_template_directory_uri().'/framework/color.php');
    } 
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
    wp_enqueue_script( 'comment-reply' );
    //Javascript 
    wp_enqueue_script('jquery-3.6.0', get_template_directory_uri().'/assets/js/jquery-3.6.0.min.js',array(),false,true);
    wp_enqueue_script('bootstrap', get_template_directory_uri().'/assets/js/bootstrap.min.js',array(),false,true);
    wp_enqueue_script('appear', get_template_directory_uri().'/assets/js/appear.min.js',array(),false,true);
    wp_enqueue_script('slick', get_template_directory_uri().'/assets/js/slick.min.js',array(),false,true);
    wp_enqueue_script('jquery-magnific-popup', get_template_directory_uri().'/assets/js/jquery.magnific-popup.min.js',array(),false,true);
    wp_enqueue_script('jquery-nice-select', get_template_directory_uri().'/assets/js/jquery.nice-select.min.js',array(),false,true);
    wp_enqueue_script('imagesloaded-pkgd', get_template_directory_uri().'/assets/js/imagesloaded.pkgd.min.js',array(),false,true);
    wp_enqueue_script('isotope-pkgd', get_template_directory_uri().'/assets/js/isotope.pkgd.min.js',array(),false,true);
    wp_enqueue_script('wow', get_template_directory_uri().'/assets/js/wow.min.js',array(),false,true);
    wp_enqueue_script('charitxa-script', get_template_directory_uri().'/assets/js/script.js',array(),false,true);
  }
add_action( 'wp_enqueue_scripts', 'charitxa_theme_scripts_styles' );

//Custom Excerpt Function
function charitxa_do_shortcode($content) {
    global $shortcode_tags;
    if (empty($shortcode_tags) || !is_array($shortcode_tags))
        return $content;
    $pattern = get_shortcode_regex();
    return preg_replace_callback( "/$pattern/s", 'do_shortcode_tag', $content );
}

// Widget Sidebar
function charitxa_widgets_init() {
  register_sidebar( array(
    'name'          => esc_html__( 'Primary Sidebar 1', 'charitxa' ),
    'id'            => 'sidebar-1',        
    'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'charitxa' ),        
    'before_widget' => '<div id="%1$s" class=" widget widget-recent-post wow fadeInUp delay-0-2s %2$s">',        
    'after_widget'  => '</div>',        
    'before_title'  => '<h5 class="widget-title">',        
    'after_title'   => '</h5>'
    ) );  
    register_sidebar( array(
    'name'          => esc_html__( 'Primary Sidebar 2', 'charitxa' ),
    'id'            => 'sidebar-2',        
        'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'charitxa' ),        
        'before_widget' => '<div id="%1$s" class=" widget widget-links wow fadeInUp delay-0-2s %2$s">',        
        'after_widget'  => '</div>',        
        'before_title'  => '<h5 class="widget-title">',        
        'after_title'   => '</h5>'
    ) );  
    register_sidebar( array(
    'name'          => esc_html__( 'Primary Sidebar 3', 'charitxa' ),
    'id'            => 'sidebar-3',        
        'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'charitxa' ),        
        'before_widget' => '<div id="%1$s" class=" widget widget-causes wow fadeInUp delay-0-2s %2$s">',        
        'after_widget'  => '</div>',        
        'before_title'  => '<h5 class="widget-title">',        
        'after_title'   => '</h5>'
    ) ); 
    register_sidebar( array(
    'name'          => esc_html__( 'Primary Sidebar 4', 'charitxa' ),
    'id'            => 'sidebar-4',        
        'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'charitxa' ),        
        'before_widget' => '<div id="%1$s" class=" widget widget-campaign wow fadeInUp delay-0-2s %2$s">',        
        'after_widget'  => '</div>',        
        'before_title'  => '',        
        'after_title'   => ''
    ) ); 
    register_sidebar( array(
    'name'          => esc_html__( 'Service Sidebar', 'charitxa' ),
    'id'            => 'sidebar-5',        
        'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'charitxa' ),        
        'before_widget' => '<div id="%1$s" class=" widget widget-services wow fadeInUp delay-0-2s %2$s">',        
        'after_widget'  => '</div>',        
        'before_title'  => '<h5 class="widget-title">',        
        'after_title'   => '</h5>'
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer One Area 1 Widget', 'charitxa' ),
      'id'            => 'footer-area-1',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'charitxa' ),
      'before_widget' => '',
      'after_widget'  => '',
      'before_title'  => '',
      'after_title'   => '',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer One Area 2 Widget', 'charitxa' ),
      'id'            => 'footer-area-2',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'charitxa' ),
      'before_widget' => '<div id="%1$s" class="%2$s footer-widget widget_contact wow fadeInUp delay-0-4s">',
      'after_widget'  => '</div>',
      'before_title'  => '<h4 class="footer-title">',
      'after_title'   => '</h4>',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer One Area 3 Widget', 'charitxa' ),
      'id'            => 'footer-area-3',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'charitxa' ),
      'before_widget' => '<div id="%1$s" class="%2$s footer-widget widget_menu wow fadeInUp delay-0-5s">',
      'after_widget'  => '</div>',
      'before_title'  => '<h4 class="footer-title">',
      'after_title'   => '</h4>',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer One Area 4 Widget', 'charitxa' ),
      'id'            => 'footer-area-4',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'charitxa' ),
      'before_widget' => '<div id="%1$s" class="%2$s footer-widget widget_menu wow fadeInUp delay-0-6s">',
      'after_widget'  => '</div>',
      'before_title'  => '<h4 class="footer-title">',
      'after_title'   => '</h4>',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer Two Area 1 Widget', 'charitxa' ),
      'id'            => 'footer-area-5',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'charitxa' ),
      'before_widget' => '',
      'after_widget'  => '',
      'before_title'  => '',
      'after_title'   => '',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer Two Area 2 Widget', 'charitxa' ),
      'id'            => 'footer-area-6',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'charitxa' ),
      'before_widget' => '<div id="%1$s" class="%2$s footer-widget widget_menu wow fadeInUp delay-0-3s">',
      'after_widget'  => '</div>',
      'before_title'  => '<h4 class="footer-title">',
      'after_title'   => '</h4>',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer Two Area 3 Widget', 'charitxa' ),
      'id'            => 'footer-area-7',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'charitxa' ),
      'before_widget' => '<div id="%1$s" class="%2$s footer-widget widget_menu wow fadeInUp delay-0-4s">',
      'after_widget'  => '</div>',
      'before_title'  => '<h4 class="footer-title">',
      'after_title'   => '</h4>',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer Two Area 4 Widget', 'charitxa' ),
      'id'            => 'footer-area-8',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'charitxa' ),
      'before_widget' => '<div id="%1$s" class="%2$s footer-widget widget_menu wow fadeInUp delay-0-5s">',
      'after_widget'  => '</div>',
      'before_title'  => '<h4 class="footer-title">',
      'after_title'   => '</h4>',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer Two Area 5 Widget', 'charitxa' ),
      'id'            => 'footer-area-9',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'charitxa' ),
      'before_widget' => '<div id="%1$s" class="%2$s footer-widget widget_social wow fadeInUp delay-0-6s">',
      'after_widget'  => '</div>',
      'before_title'  => '<h4 class="footer-title">',
      'after_title'   => '</h4>',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer Three Area 1 Widget', 'charitxa' ),
      'id'            => 'footer-area-10',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'charitxa' ),
      'before_widget' => '',
      'after_widget'  => '',
      'before_title'  => '',
      'after_title'   => '',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer Three Area 2 Widget', 'charitxa' ),
      'id'            => 'footer-area-11',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'charitxa' ),
      'before_widget' => '<div id="%1$s" class="%2$s footer-widget widget_menu wow fadeInUp delay-0-4s">',
      'after_widget'  => '</div>',
      'before_title'  => '<h4 class="footer-title">',
      'after_title'   => '</h4>',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer Three Area 3 Widget', 'charitxa' ),
      'id'            => 'footer-area-12',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'charitxa' ),
      'before_widget' => '<div id="%1$s" class="%2$s footer-widget widget_menu wow fadeInUp delay-0-6s">',
      'after_widget'  => '</div>',
      'before_title'  => '<h4 class="footer-title">',
      'after_title'   => '</h4>',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer Three Area 4 Widget', 'charitxa' ),
      'id'            => 'footer-area-13',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'charitxa' ),
      'before_widget' => '<div id="%1$s" class="%2$s footer-widget widget_contact wow fadeInUp delay-0-8s">',
      'after_widget'  => '</div>',
      'before_title'  => '<h4 class="footer-title">',
      'after_title'   => '</h4>',
    ) );
}
add_action( 'widgets_init', 'charitxa_widgets_init' );

//function tag widgets
function charitxa_tag_cloud_widget($args) {
  $args['number'] = 0; //adding a 0 will display all tags
  $args['largest'] = 18; //largest tag
  $args['smallest'] = 11; //smallest tag
  $args['unit'] = 'px'; //tag font unit
  $args['format'] = 'list'; //ul with a class of wp-tag-cloud
  $args['exclude'] = array(20, 80, 92); //exclude tags by ID
  return $args;
}
add_filter( 'widget_tag_cloud_args', 'charitxa_tag_cloud_widget' );
function charitxa_excerpt() {
  $charitxa_redux_demo = get_option('redux_demo');
  if(isset($charitxa_redux_demo['blog_excerpt'])){
    $limit = $charitxa_redux_demo['blog_excerpt'];
  }else{
    $limit = 80;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}
function charitxa_excerpt_2() {
  $charitxa_redux_demo = get_option('redux_demo');
  if(isset($charitxa_redux_demo['blog_excerpt_2'])){
    $limit = $charitxa_redux_demo['blog_excerpt_2'];
  }else{
    $limit = 30;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}
function charitxa_excerpt_3() {
  $charitxa_redux_demo = get_option('redux_demo');
  if(isset($charitxa_redux_demo['cause_excerpt'])){
    $limit = $charitxa_redux_demo['cause_excerpt'];
  }else{
    $limit = 30;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}
function charitxa_excerpt_5() {
  $charitxa_redux_demo = get_option('redux_demo');
  if(isset($charitxa_redux_demo['service_excerpt'])){
    $limit = $charitxa_redux_demo['service_excerpt'];
  }else{
    $limit = 30;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}
//pagination
function charitxa_pagination($prev = 'Prev', $next = 'Next', $pages='') {
    global $paged; // current page
    if(empty($paged)) $paged = 1;
    global $wp_query;
    $pages = $wp_query->max_num_pages;
    if(!$pages){
        $pages = 1;
    }
    if($pages != 1){
        echo '<ul class="pagination flex-wrap mt-45 rmt-25 wow fadeInUp delay-0-2s">';
        if($paged >= 1) echo '<li class="page-item"><a class="prev" href="'.get_pagenum_link($paged - 1).'" >Prev</a></li>';
        for($page = 1; $page <= $pages; $page++){
        echo esc_attr($page) == $paged ? '<li class="page-item active"><a class="page-link" href="'.get_pagenum_link($page).'"><span class="page-link">'. $page. '<span class="sr-only">(current)</span></span></a></li>' : '<li class="page-item"><a class="page-link" href="'.get_pagenum_link($page).'">'. $page. '</a></li>';
     }
    if($paged <= $pages) echo '<li class="page-item"><a class="next" href="'.get_pagenum_link($paged + 1).'" >Next</i></a><li>';
    echo "</ul>\n";
    }
}
function charitxa_search_form( $form ) {
  $form = '
  <form  method="get" class="search-form" action="' . esc_url(home_url('/')) . '"> 
    <input type="search" class="form-control" placeholder="'.esc_attr('Search', 'charitxa').'" value="' . get_search_query() . '" name="s" id="s"> 
    <button type="submit"><i class="fas fa-search"></i> 
    </button>
  </form>
  ';
  return $form;
}
add_filter( 'get_search_form', 'charitxa_search_form' );
//Custom comment List:

// Comment Form
function charitxa_theme_comment($comment, $args, $depth) {
  //echo 's';
  $GLOBALS['comment'] = $comment; ?>
    <?php if(get_avatar($comment,$size='80' )!=''){?>
    <div class="comment-box">
      <div class="author-thumb">
        <?php echo get_avatar($comment,$size='133' ); ?>
      </div>
      <div class="content">
        <div class="title">
            <h5><?php printf( esc_html__('%s','charitxa'), get_comment_author_link()) ?></h5> 
            <span class="time"><?php the_time(get_option( 'date_format' ));?></span>    
        </div>
        <p><?php comment_text() ?></p>
        <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
    </div>
    <?php }else{?>
    <div class="comment-box">
      <div class="content">
        <div class="title">
            <h5><?php printf( esc_html__('%s','charitxa'), get_comment_author_link()) ?></h5>
            <span class="time"><?php the_time(get_option( 'date_format' ));?></span>
        </div>
        <p><?php comment_text() ?></p>
        <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
    </div>
  <?php }?>
<?php
}
function move_comment_field_to_bottom( $fields ) {
$comment_field = $fields['comment'];
unset( $fields['comment'] );
$fields['comment'] = $comment_field;
return $fields;
}
add_filter( 'comment_form_fields', 'move_comment_field_to_bottom');

function gt_get_post_view() {
    $count = get_post_meta( get_the_ID(), 'post_views_count', true );
    return "$count views";
}
function ch_set_post_view() {
    $key = 'post_views_count';
    $post_id = get_the_ID();
    $count = (int) get_post_meta( $post_id, $key, true );
    $count++;
    update_post_meta( $post_id, $key, $count );
}
function ch_posts_column_views( $columns ) {
    $columns['post_views'] = 'Views';
    return $columns;
}
function ch_posts_custom_column_views( $column ) {
    if ( $column === 'post_views') {
        echo gt_get_post_view();
    }
}
add_filter( 'manage_posts_columns', 'ch_posts_column_views' );
add_action( 'manage_posts_custom_column', 'ch_posts_custom_column_views' );
/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1
 * @author     Thomas Griffin <thomasgriffinmedia.com>
 * @author     Gary Jones <gamajo.com>
 * @copyright  Copyright (c) 2014, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/thomasgriffin/TGM-Plugin-Activation
 */
/**
 * Include the TGM_Plugin_Activation class.
 */
require_once get_template_directory() . '/framework/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'charitxa_theme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
 
 
function charitxa_theme_register_required_plugins() {
    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(
      // This is an example of how to include a plugin from the WordPress Plugin Repository.
      array(
        'name'      => esc_html__( 'One Click Demo Import', 'charitxa' ),
        'slug'      => 'one-click-demo-import',
        'required'  => true,
      ), 
      array(
        'name'      => esc_html__( 'Classic Editor', 'charitxa' ),
        'slug'      => 'classic-editor',
        'required'  => true,
      ), 
      array(
        'name'      => esc_html__( 'Classic Widgets', 'charitxa' ),
        'slug'      => 'classic-widgets',
        'required'  => true,
      ),
      array(
        'name'      => esc_html__( 'Widget Importer & Exporter', 'charitxa' ),
        'slug'      => 'widget-importer-&-exporter',
        'required'  => true,
      ), 
      array(
        'name'      => esc_html__( 'Contact Form 7', 'charitxa' ),
        'slug'      => 'contact-form-7',
        'required'  => true,
      ), 
      array(
        'name'                     => esc_html__( 'Elementor', 'charitxa' ),
        'slug'                     => 'elementor',
        'required'                 => true,
        'source'                   => plugin_dir_path( __FILE__ ) . '/elementor.zip',
      ),
      array(
        'name'                     => esc_html__( 'Charitxa Common', 'charitxa' ),
        'slug'                     => 'charitxa-common',
        'required'                 => true,
        'source'                   => plugin_dir_path( __FILE__ ) . '/charitxa-common.zip',
      ),
      array(
        'name'                     => esc_html__( 'Charitxa Elementor', 'charitxa' ),
        'slug'                     => 'charitxa-elementor',
        'required'                 => true,
        'source'                   => plugin_dir_path( __FILE__ ) . '/charitxa-elementor.zip',
      ),
      array(
        'name'                     => esc_html__( 'Give - Donation Plugin', 'charitxa' ),
        'slug'                     => 'give',
        'required'                 => true,
        'source'                   => plugin_dir_path( __FILE__ ) . '/give.zip',
      ),
    );
    /**
     * Array of configuration settings. Amend each line as needed.
     * If you want the default strings to be available under your own theme domain,
     * leave the strings uncommented.
     * Some of the strings are added into a sprintf, so see the comments at the
     * end of each line for what each argument will be.
     */
    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => esc_html__( 'Install Required Plugins', 'charitxa' ),
            'menu_title'                      => esc_html__( 'Install Plugins', 'charitxa' ),
            'installing'                      => esc_html__( 'Installing Plugin: %s', 'charitxa' ), // %s = plugin name.
            'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'charitxa' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'charitxa' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'charitxa' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'charitxa' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'charitxa' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'charitxa' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'charitxa' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'charitxa' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'charitxa' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'charitxa' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'charitxa' ),
            'return'                          => esc_html__( 'Return to Required Plugins Installer', 'charitxa' ),
            'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'charitxa' ),
            'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'charitxa' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );
    tgmpa( $plugins, $config );
}
?>