<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<?php $charitxa_redux_demo = get_option('redux_demo'); ?>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php wp_head(); ?>
</head>
<?php if ($charitxa_redux_demo['select_style'] == '4') { ?>
<body <?php body_class('home-four'); ?>>
    <?php
        wp_body_open();
    ?>
    <div class="page-wrapper">

        <!-- Preloader -->
        <div class="preloader"><div class="custom-loader"></div></div>

        <!-- main header -->
        <header class="main-header header-four">

           <div class="header-top-wrap">
               <div class="container">
                   <div class="header-top text-white">
                        <div class="social-style-one">
                            <?php if(isset($charitxa_redux_demo['link_social_1']) && ($charitxa_redux_demo['link_social_1'] != '')){?>
                            <a href="<?php echo esc_url($charitxa_redux_demo['link_social_1']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['social_1']); ?>"></i></a>
                            <?php } ?>
                            <?php if(isset($charitxa_redux_demo['link_social_2']) && ($charitxa_redux_demo['link_social_2'] != '')){?>
                            <a href="<?php echo esc_url($charitxa_redux_demo['link_social_2']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['social_2']); ?>"></i></a>
                            <?php } ?>
                            <?php if(isset($charitxa_redux_demo['link_social_3']) && ($charitxa_redux_demo['link_social_3'] != '')){?>
                            <a href="<?php echo esc_url($charitxa_redux_demo['link_social_3']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['social_3']); ?>"></i></a>
                            <?php } ?>
                            <?php if(isset($charitxa_redux_demo['link_social_4']) && ($charitxa_redux_demo['link_social_4'] != '')){?>
                            <a href="<?php echo esc_url($charitxa_redux_demo['link_social_4']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['social_4']); ?>"></i></a>
                            <?php } ?>
                        </div>
                        <ul class="top-menu">
                            <?php if(isset($charitxa_redux_demo['link_menu_1']) && ($charitxa_redux_demo['link_menu_1'] != '')){?>
                            <li><a href="<?php echo wp_kses_post($charitxa_redux_demo['link_menu_1']); ?>"><b><?php echo wp_kses_post($charitxa_redux_demo['menu_1']); ?></b></a></li>
                            <?php } ?>
                            <?php if(isset($charitxa_redux_demo['link_menu_2']) && ($charitxa_redux_demo['link_menu_2'] != '')){?>
                            <li><a href="<?php echo wp_kses_post($charitxa_redux_demo['link_menu_2']); ?>"><b><?php echo wp_kses_post($charitxa_redux_demo['menu_2']); ?></b></a></li>
                            <?php } ?>
                            <?php if(isset($charitxa_redux_demo['link_menu_3']) && ($charitxa_redux_demo['link_menu_3'] != '')){?>
                            <li><a href="<?php echo wp_kses_post($charitxa_redux_demo['link_menu_3']); ?>"><b><?php echo wp_kses_post($charitxa_redux_demo['menu_3']); ?></b></a></li>
                            <?php } ?>
                        </ul>
                        <ul>
                           <?php if(isset($charitxa_redux_demo['link_become_volunteer']) && ($charitxa_redux_demo['link_become_volunteer'] != '')){?>
                            <li><a href="<?php echo wp_kses_post($charitxa_redux_demo['link_become_volunteer']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['help_icon']); ?>"></i> <b><?php echo wp_kses_post($charitxa_redux_demo['become_volunteer']); ?></b></a></li>
                            <?php } ?>
                        </ul>
                        <?php if(isset($charitxa_redux_demo['shopping_bag_link']) && ($charitxa_redux_demo['shopping_bag_link'] != '')){?>
                        <button><a href="<?php echo wp_kses_post($charitxa_redux_demo['shopping_bag_link']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['shopping_bag_icon']); ?>"></i> </a></button>
                        <?php } ?>
                   </div>
               </div>
           </div>
           
            <!--Header-Upper-->
            <div class="header-upper bg-white">
                <div class="container clearfix">

                    <div class="header-inner rel d-flex">
                        <div class="logo-outer">
                            <div class="logo">
                                <a href="<?php echo esc_url(home_url('/')); ?>">
                                <?php if(isset($charitxa_redux_demo['logo_four']['url']) && $charitxa_redux_demo['logo_four']['url'] != ''){ ?>
                                <img src="<?php echo esc_url($charitxa_redux_demo['logo_four']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>" title="Logo">
                                <?php }else{ ?>
                                <img src="<?php echo get_template_directory_uri();?>/assets/images/logos/logo-four.png" alt="<?php bloginfo( 'name' ); ?>" title="Logo">
                                <?php } ?>
                                </a>
                            </div>
                        </div>

                        <div class="nav-outer ms-lg-auto clearfix">
                            <!-- Main Menu -->
                            <nav class="main-menu navbar-expand-lg">
                                <div class="navbar-header">
                                   <div class="mobile-logo">
                                        <a href="<?php echo esc_url(home_url('/')); ?>">
                                        <?php if(isset($charitxa_redux_demo['logo_four']['url']) && $charitxa_redux_demo['logo_four']['url'] != ''){ ?>
                                        <img src="<?php echo esc_url($charitxa_redux_demo['logo_four']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>" title="Logo">
                                        <?php }else{ ?>
                                        <img src="<?php echo get_template_directory_uri();?>/assets/images/logos/logo-four.png" alt="<?php bloginfo( 'name' ); ?>" title="Logo">
                                        <?php } ?>
                                        </a>
                                   </div>
                                   
                                    <!-- Toggle Button -->
                                    <button type="button" class="navbar-toggle" data-bs-toggle="collapse" data-bs-target=".navbar-collapse">
                                        <span class="icon-bar"></span>
                                        <span class="icon-bar"></span>
                                        <span class="icon-bar"></span>
                                    </button>
                                </div>

                                <div class="navbar-collapse collapse clearfix">
                                    <?php 
                                        wp_nav_menu( 
                                        array( 
                                            'theme_location' => 'primary',
                                            'container' => '',
                                            'menu_class' => '', 
                                            'menu_id' => '',
                                            'menu'            => '',
                                            'container_class' => '',
                                            'container_id'    => '',
                                            'echo'            => true,
                                            'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                            'walker'            => new charitxa_wp_bootstrap_navwalker(),
                                            'before'          => '',
                                            'after'           => '',
                                            'link_before'     => '',
                                            'link_after'      => '',
                                            'items_wrap'      => '<ul id=" %1$s" class=" navigation clearfix %2$s">%3$s</ul>',
                                            'depth'           => 0,        
                                        )
                                    ); ?>
                                </div>

                            </nav>
                            <!-- Main Menu End-->
                        </div>
                        
                        <!-- Menu Button -->
                        <div class="menu-btns">
                            <?php if(isset($charitxa_redux_demo['h_donate_now']) && ($charitxa_redux_demo['h_donate_now'] != '')){?>
                            <a href="#" class="theme-btn" data-bs-toggle="modal" data-bs-target="#donateModal">
                                <span class="btn-text normal"><i class="fas fa-heart"></i> <?php echo wp_kses_post($charitxa_redux_demo['h_donate_now']); ?></span>
                                <span class="btn-text hover"><i class="fas fa-heart"></i> <?php echo wp_kses_post($charitxa_redux_demo['h_donate_now']); ?></span>
                            </a>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
            <!--End Header Upper-->
        </header>
<?php } elseif ($charitxa_redux_demo['select_style'] == '3') { ?>
<body <?php body_class('home-three'); ?>>
    <?php
        wp_body_open();
    ?>
    <div class="page-wrapper">

        <!-- Preloader -->
        <div class="preloader"><div class="custom-loader"></div></div>

        <!-- main header -->
        <header class="main-header header-three menu-absolute menu-white bgc-primary">

            <!--Header-Upper-->
            <div class="header-upper pt-35 pb-10">
                <div class="container-fluid clearfix">

                    <div class="header-inner rel d-flex">
                        <div class="logo-outer align-self-center">
                            <div class="logo">
                                <a href="<?php echo esc_url(home_url('/')); ?>">
                                <?php if(isset($charitxa_redux_demo['logo_three']['url']) && $charitxa_redux_demo['logo_three']['url'] != ''){ ?>
                                <img src="<?php echo esc_url($charitxa_redux_demo['logo_three']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>" title="Logo">
                                <?php }else{ ?>
                                <img src="<?php echo get_template_directory_uri();?>/assets/images/logos/logo-three.png" alt="<?php bloginfo( 'name' ); ?>" title="Logo">
                                <?php } ?>
                                </a>
                            </div>
                        </div>

                        <div class="nav-outer ms-lg-auto clearfix">
                            <!-- Main Menu -->
                            <nav class="main-menu navbar-expand-lg">
                                <div class="navbar-header py-10">
                                   <div class="mobile-logo">
                                        <a href="<?php echo esc_url(home_url('/')); ?>">
                                        <?php if(isset($charitxa_redux_demo['logo_three']['url']) && $charitxa_redux_demo['logo_three']['url'] != ''){ ?>
                                        <img src="<?php echo esc_url($charitxa_redux_demo['logo_three']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>" title="Logo">
                                        <?php }else{ ?>
                                        <img src="<?php echo get_template_directory_uri();?>/assets/images/logos/logo-three.png" alt="<?php bloginfo( 'name' ); ?>" title="Logo">
                                        <?php } ?>
                                        </a>
                                   </div>
                                   
                                    <!-- Toggle Button -->
                                    <button type="button" class="navbar-toggle" data-bs-toggle="collapse" data-bs-target=".navbar-collapse">
                                        <span class="icon-bar"></span>
                                        <span class="icon-bar"></span>
                                        <span class="icon-bar"></span>
                                    </button>
                                </div>

                                <div class="navbar-collapse collapse clearfix">
                                    <?php 
                                        wp_nav_menu( 
                                        array( 
                                            'theme_location' => 'primary',
                                            'container' => '',
                                            'menu_class' => '', 
                                            'menu_id' => '',
                                            'menu'            => '',
                                            'container_class' => '',
                                            'container_id'    => '',
                                            'echo'            => true,
                                            'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                            'walker'            => new charitxa_wp_bootstrap_navwalker(),
                                            'before'          => '',
                                            'after'           => '',
                                            'link_before'     => '',
                                            'link_after'      => '',
                                            'items_wrap'      => '<ul id=" %1$s" class=" navigation clearfix %2$s">%3$s</ul>',
                                            'depth'           => 0,        
                                        )
                                    ); ?>
                                </div>

                            </nav>
                            <!-- Main Menu End-->
                        </div>
                        
                        <!-- Menu Button -->
                        <div class="menu-btns">
                            <?php if(isset($charitxa_redux_demo['shopping_bag_link']) && ($charitxa_redux_demo['shopping_bag_link'] != '')){?>
                            <button><a href="<?php echo wp_kses_post($charitxa_redux_demo['shopping_bag_link']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['shopping_bag_icon']); ?>"></i> </a></button>
                            <?php } ?>
                            <?php if(isset($charitxa_redux_demo['get_involved_link']) && ($charitxa_redux_demo['get_involved_link'] != '')){?>
                            <a href="<?php echo wp_kses_post($charitxa_redux_demo['get_involved_link']); ?>" class="theme-btn style-four br-10">
                                <span class="btn-text normal"><?php echo wp_kses_post($charitxa_redux_demo['get_involved']); ?></span>
                                <span class="btn-text hover"><?php echo wp_kses_post($charitxa_redux_demo['get_involved']); ?></span>
                            </a>
                            <?php } ?>
                            <?php if(isset($charitxa_redux_demo['h_donate_now']) && ($charitxa_redux_demo['h_donate_now'] != '')){?>
                            <a href="#" class="theme-btn br-10" data-bs-toggle="modal" data-bs-target="#donateModal">
                                <span class="btn-text normal"><i class="fas fa-heart"></i> <?php echo wp_kses_post($charitxa_redux_demo['h_donate_now']); ?></span>
                                <span class="btn-text hover"><i class="fas fa-heart"></i> <?php echo wp_kses_post($charitxa_redux_demo['h_donate_now']); ?></span>
                            </a>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
            <!--End Header Upper-->
        </header>
<?php } elseif ($charitxa_redux_demo['select_style'] == '2') { ?>
<body <?php body_class('home-two'); ?>>
    <?php
        wp_body_open();
    ?>
    <div class="page-wrapper">

        <!-- Preloader -->
        <div class="preloader"><div class="custom-loader"></div></div>

        <!-- main header -->
        <header class="main-header header-two menu-absolute menu-white bgc-primary">

           <div class="header-top-wrap rel z-5 pt-10 pb-5 rpt-10 rpb-5">
               <div class="container">
                   <div class="header-top">
                        <div class="social-style-one mb-5">
                            <?php if(isset($charitxa_redux_demo['link_social_1']) && ($charitxa_redux_demo['link_social_1'] != '')){?>
                            <a href="<?php echo wp_kses_post($charitxa_redux_demo['link_social_1']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['social_1']); ?>"></i></a>
                            <?php } ?>
                            <?php if(isset($charitxa_redux_demo['link_social_2']) && ($charitxa_redux_demo['link_social_2'] != '')){?>
                            <a href="<?php echo wp_kses_post($charitxa_redux_demo['link_social_2']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['social_2']); ?>"></i></a>
                            <?php } ?>
                            <?php if(isset($charitxa_redux_demo['link_social_3']) && ($charitxa_redux_demo['link_social_3'] != '')){?>
                            <a href="<?php echo wp_kses_post($charitxa_redux_demo['link_social_3']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['social_3']); ?>"></i></a>
                            <?php } ?>
                            <?php if(isset($charitxa_redux_demo['link_social_4']) && ($charitxa_redux_demo['link_social_4'] != '')){?>
                            <a href="<?php echo wp_kses_post($charitxa_redux_demo['link_social_4']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['social_4']); ?>"></i></a>
                            <?php } ?>
                        </div>
                        <ul class="top-menu">
                            <?php if(isset($charitxa_redux_demo['link_menu_1']) && ($charitxa_redux_demo['link_menu_1'] != '')){?>
                            <li><a href="<?php echo wp_kses_post($charitxa_redux_demo['link_menu_1']); ?>"><b><?php echo wp_kses_post($charitxa_redux_demo['menu_1']); ?></b></a></li>
                            <?php } ?>
                            <?php if(isset($charitxa_redux_demo['link_menu_2']) && ($charitxa_redux_demo['link_menu_2'] != '')){?>
                            <li><a href="<?php echo wp_kses_post($charitxa_redux_demo['link_menu_2']); ?>"><b><?php echo wp_kses_post($charitxa_redux_demo['menu_2']); ?></b></a></li>
                            <?php } ?>
                            <?php if(isset($charitxa_redux_demo['link_menu_3']) && ($charitxa_redux_demo['link_menu_3'] != '')){?>
                            <li><a href="<?php echo wp_kses_post($charitxa_redux_demo['link_menu_3']); ?>"><b><?php echo wp_kses_post($charitxa_redux_demo['menu_3']); ?></b></a></li>
                            <?php } ?>
                        </ul>
                        <ul>
                           <?php if(isset($charitxa_redux_demo['link_shop_now']) && ($charitxa_redux_demo['link_shop_now'] != '')){?>          
                            <li><a href="<?php echo wp_kses_post($charitxa_redux_demo['link_shop_now']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['cart_icon']); ?>"></i> <b><?php echo wp_kses_post($charitxa_redux_demo['shop_now']); ?></b></a></li>
                            <?php } ?>
                            <?php if(isset($charitxa_redux_demo['link_become_volunteer']) && ($charitxa_redux_demo['link_become_volunteer'] != '')){?>
                            <li><a href="<?php echo wp_kses_post($charitxa_redux_demo['link_become_volunteer']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['help_icon']); ?>"></i> <b><?php echo wp_kses_post($charitxa_redux_demo['become_volunteer']); ?></b></a></li>
                            <?php } ?>
                        </ul>
                   </div>
               </div>
           </div>
           
            <!--Header-Upper-->
            <div class="header-upper py-15">
                <div class="container clearfix">

                    <div class="header-inner rel d-flex">
                        <div class="logo-outer align-self-center">
                            <div class="logo"><a href="<?php echo esc_url(home_url('/')); ?>">
                                <?php if(isset($charitxa_redux_demo['logo_two']['url']) && $charitxa_redux_demo['logo_two']['url'] != ''){ ?>
                                <img src="<?php echo esc_url($charitxa_redux_demo['logo_two']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>" title="Logo">
                                <?php }else{ ?>
                                <img src="<?php echo get_template_directory_uri();?>/assets/images/logos/logo-two.png" alt="<?php bloginfo( 'name' ); ?>" title="Logo">
                                <?php } ?>
                                </a>
                            </div>
                        </div>

                        <div class="nav-outer ms-lg-auto clearfix">
                            <!-- Main Menu -->
                            <nav class="main-menu navbar-expand-lg">
                                <div class="navbar-header py-10">
                                   <div class="mobile-logo">
                                       <a href="<?php echo esc_url(home_url('/')); ?>">
                                            <?php if(isset($charitxa_redux_demo['logo_two']['url']) && $charitxa_redux_demo['logo_two']['url'] != ''){ ?>
                                            <img src="<?php echo esc_url($charitxa_redux_demo['logo_two']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>" title="Logo">
                                            <?php }else{ ?>
                                            <img src="<?php echo get_template_directory_uri();?>/assets/images/logos/logo-two.png" alt="<?php bloginfo( 'name' ); ?>" title="Logo">
                                            <?php } ?>
                                       </a>
                                   </div>
                                   
                                    <!-- Toggle Button -->
                                    <button type="button" class="navbar-toggle" data-bs-toggle="collapse" data-bs-target=".navbar-collapse">
                                        <span class="icon-bar"></span>
                                        <span class="icon-bar"></span>
                                        <span class="icon-bar"></span>
                                    </button>
                                </div>

                                <div class="navbar-collapse collapse clearfix">
                                    <?php 
                                        wp_nav_menu( 
                                        array( 
                                            'theme_location' => 'primary',
                                            'container' => '',
                                            'menu_class' => '', 
                                            'menu_id' => '',
                                            'menu'            => '',
                                            'container_class' => '',
                                            'container_id'    => '',
                                            'echo'            => true,
                                            'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                            'walker'            => new charitxa_wp_bootstrap_navwalker(),
                                            'before'          => '',
                                            'after'           => '',
                                            'link_before'     => '',
                                            'link_after'      => '',
                                            'items_wrap'      => '<ul id=" %1$s" class=" navigation clearfix %2$s">%3$s</ul>',
                                            'depth'           => 0,        
                                        )
                                    ); ?>
                                </div>

                            </nav>
                            <!-- Main Menu End-->
                        </div>
                        
                        <!-- Menu Button -->
                        <div class="menu-btns">
                            <?php if(isset($charitxa_redux_demo['shopping_bag_link']) && ($charitxa_redux_demo['shopping_bag_link'] != '')){?>
                            <button><a href="<?php echo wp_kses_post($charitxa_redux_demo['shopping_bag_link']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['shopping_bag_icon']); ?>"></i> </a></button>
                            <?php } ?>
                            <?php if(isset($charitxa_redux_demo['h_donate_now']) && ($charitxa_redux_demo['h_donate_now'] != '')){?>
                            <a href="#" class="theme-btn style-three br-10" data-bs-toggle="modal" data-bs-target="#donateModal">
                                <span class="btn-text normal"><i class="fas fa-heart"></i> <?php echo wp_kses_post($charitxa_redux_demo['h_donate_now']); ?></span>
                                <span class="btn-text hover"><i class="fas fa-heart"></i> <?php echo wp_kses_post($charitxa_redux_demo['h_donate_now']); ?></span>
                            </a>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
            <!--End Header Upper-->
        </header>
<?php } else { ?>
<body <?php body_class(); ?>>
    <?php
        wp_body_open();
    ?>
    <div class="page-wrapper">

        <!-- Preloader -->
        <div class="preloader"><div class="custom-loader"></div></div>

        <!-- main header -->
        <header class="main-header header-one bgc-yellow">

           <div class="header-top-wrap rel z-5 pt-15 pb-10 rpt-10 rpb-5">
               <div class="container">
                   <div class="header-top">
                        <?php if(isset($charitxa_redux_demo['top_left_text']) && ($charitxa_redux_demo['top_left_text'] != '')){?>
                        <ul>
                           <li><i class="far fa-exclamation-triangle"></i> <?php echo wp_kses_post($charitxa_redux_demo['top_left_text']); ?></li>
                        </ul>
                        <?php } ?>
                        <ul>        
                            <?php if(isset($charitxa_redux_demo['link_shop_now']) && ($charitxa_redux_demo['link_shop_now'] != '')){?>          
                            <li><a href="<?php echo wp_kses_post($charitxa_redux_demo['link_shop_now']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['cart_icon']); ?>"></i> <b><?php echo wp_kses_post($charitxa_redux_demo['shop_now']); ?></b></a></li>
                            <?php } ?>
                            <?php if(isset($charitxa_redux_demo['link_become_volunteer']) && ($charitxa_redux_demo['link_become_volunteer'] != '')){?>
                            <li><a href="<?php echo wp_kses_post($charitxa_redux_demo['link_become_volunteer']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['help_icon']); ?>"></i> <b><?php echo wp_kses_post($charitxa_redux_demo['become_volunteer']); ?></b></a></li>
                            <?php } ?>
                        </ul>
                   </div>
               </div>
           </div>
           
            <!--Header-Upper-->
            <div class="header-upper">
                <div class="container container-1335 clearfix">

                    <div class="header-inner rel d-flex">
                        <div class="logo-outer align-self-center">
                            <div class="logo">
                                <a href="<?php echo esc_url(home_url('/')); ?>">
                                <?php if(isset($charitxa_redux_demo['logo']['url']) && $charitxa_redux_demo['logo']['url'] != ''){ ?>
                                <img src="<?php echo esc_url($charitxa_redux_demo['logo']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>" title="Logo">
                                <?php }else{ ?>
                                <img src="<?php echo get_template_directory_uri();?>/assets/images/logos/logo.png" alt="<?php bloginfo( 'name' ); ?>" title="Logo">
                                <?php } ?>
                                </a>
                            </div>
                        </div>

                        <div class="nav-outer ms-lg-auto clearfix">
                            <!-- Main Menu -->
                            <nav class="main-menu navbar-expand-lg">
                                <div class="navbar-header py-10">
                                   <div class="mobile-logo">
                                        <a href="<?php echo esc_url(home_url('/')); ?>">
                                        <?php if(isset($charitxa_redux_demo['logo']['url']) && $charitxa_redux_demo['logo']['url'] != ''){ ?>
                                        <img src="<?php echo esc_url($charitxa_redux_demo['logo']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>" title="Logo">
                                        <?php }else{ ?>
                                        <img src="<?php echo get_template_directory_uri();?>/assets/images/logos/logo.png" alt="<?php bloginfo( 'name' ); ?>" title="Logo">
                                        <?php } ?>
                                        </a>
                                   </div>
                                   
                                    <!-- Toggle Button -->
                                    <button type="button" class="navbar-toggle" data-bs-toggle="collapse" data-bs-target=".navbar-collapse">
                                        <span class="icon-bar"></span>
                                        <span class="icon-bar"></span>
                                        <span class="icon-bar"></span>
                                    </button>
                                </div>

                                <div class="navbar-collapse collapse clearfix">
                                    <?php 
                                        wp_nav_menu( 
                                        array( 
                                            'theme_location' => 'primary',
                                            'container' => '',
                                            'menu_class' => '', 
                                            'menu_id' => '',
                                            'menu'            => '',
                                            'container_class' => '',
                                            'container_id'    => '',
                                            'echo'            => true,
                                            'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                            'walker'            => new charitxa_wp_bootstrap_navwalker(),
                                            'before'          => '',
                                            'after'           => '',
                                            'link_before'     => '',
                                            'link_after'      => '',
                                            'items_wrap'      => '<ul id=" %1$s" class=" navigation clearfix %2$s">%3$s</ul>',
                                            'depth'           => 0,        
                                        )
                                    ); ?>
                                </div>

                            </nav>
                            <!-- Main Menu End-->
                        </div>
                        
                        <!-- Menu Button -->
                        <div class="menu-btns">
                            <?php if(isset($charitxa_redux_demo['give_now']) && ($charitxa_redux_demo['give_now'] != '')){?>
                            <a href="#" class="theme-btn" data-bs-toggle="modal" data-bs-target="#donateModal">
                                <span class="btn-text normal"><i class="fas fa-heart"></i> <?php echo wp_kses_post($charitxa_redux_demo['give_now']); ?></span>
                                <span class="btn-text hover"><i class="fas fa-heart"></i> <?php echo wp_kses_post($charitxa_redux_demo['give_now']); ?></span>
                            </a>
                            <?php } ?>
                            <?php if(isset($charitxa_redux_demo['shopping_bag_link']) && ($charitxa_redux_demo['shopping_bag_link'] != '')){?>
                            <button><a href="<?php echo wp_kses_post($charitxa_redux_demo['shopping_bag_link']); ?>"><i class="<?php echo wp_kses_post($charitxa_redux_demo['shopping_bag_icon']); ?>"></i> </a></button>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
            <!--End Header Upper-->
        </header>
<?php } ?>