<?php
/*
 * Template Name: Blog Grid One Template
 * Description: A Page Template with a Page Builder design.
 */
$charitxa_redux_demo = get_option('redux_demo');
get_header(); ?>
<!-- Page Banner Start -->
<?php if(isset($charitxa_redux_demo['blog_grid_1_background']['url']) && $charitxa_redux_demo['blog_grid_1_background']['url'] != ''){ ?>
<section class="page-banner-area bgs-cover pt-145 rpt-135 pb-95" style="background-image: url(<?php echo esc_url($charitxa_redux_demo['blog_grid_1_background']['url']);?>);">
<?php } else { ?>
<section class="page-banner-area bgs-cover pt-145 rpt-135 pb-95" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/images/background/banner.jpg);">
<?php } ?>
    <div class="container">
        <div class="banner-inner text-white">
            <h2 class="page-title wow fadeInRight delay-0-2s"><?php if(isset($charitxa_redux_demo['blog_grid_1_title'])){?>
                <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['blog_grid_1_title']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Our Blog', 'charitxa' );
                }
                ?></h2>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb wow fadeInLeft delay-0-2s">
                    <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')); ?>"><i class="fas fa-home-lg-alt"></i> <?php if(isset($charitxa_redux_demo['blog_home_text'])){?>
                        <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['blog_home_text']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Home', 'charitxa' );
                        }
                        ?></a></li>
                    <li class="breadcrumb-item active"><?php if(isset($charitxa_redux_demo['blog_grid_1_title'])){?>
                        <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['blog_grid_1_title']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Our Blog', 'charitxa' );
                        }
                        ?></li>
                </ol>
            </nav>
        </div>
    </div>
</section>
<!-- Page Banner End -->
<!-- Blog Page Area start -->
<section class="blog-page-area py-110">
    <div class="container">
        <div class="row">
            <?php if ( is_active_sidebar( 'sidebar-1' ) ){?>
            <div class="col-lg-8">
            <?php }else{?>
            <div class="col-lg-12">
            <?php } ?>
                <div class="row">
                    <?php $args = array(    
                        'paged' => $paged,
                        'post_type' => 'post',
                        'posts_per_page' => $charitxa_redux_demo['grid_number'],
                        );
                        $wp_query = new WP_Query($args);
                        while (have_posts()): the_post();
                        $featured_image = get_post_meta(get_the_ID(),'_cmb_featured_image', true);
                    ?> 
                    <div class="col-md-6">
                        <div class="blog-four-item wow fadeInUp delay-0-2s">
                            <?php if(isset($featured_image) && $featured_image != '') { ?>
                            <div class="image br-30">
                                <a href="<?php the_permalink();?>"><img src="<?php echo wp_get_attachment_url($featured_image);?>" alt="<?php the_title_attribute(); ?>"></a>
                            </div>
                            <?php } ?>
                            <div class="content">
                                <ul class="blog-meta">
                                    <li><span class="before-author"><?php if(isset($charitxa_redux_demo['by'])){?>
                                        <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['by']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'By:', 'charitxa' ); } ?></span> <?php the_author_posts_link(); ?></li>
                                    <li><?php comments_number( esc_html__('0 Comments', 'charitxa'), esc_html__('1 Comment', 'charitxa'), esc_html__('% Comments', 'charitxa') ); ?></li>
                                </ul>
                                <h5><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h5>
                                <span class="date"><?php the_time(get_option( 'date_format' ));?></span>
                            </div>
                        </div>
                    </div>
                    <?php endwhile; ?> 
                    <div class="col-lg-12 text-center">
                        <?php charitxa_pagination(); ?>
                    </div>
                </div>
            </div>
            <?php if ( is_active_sidebar( 'sidebar-1' ) ){?>
            <div class="col-lg-4 col-md-7 col-sm-9">
                <div class="main-sidebar rmb-75">
                    <?php get_sidebar(); ?>
                </div>
            </div>
            <?php } ?> 
        </div>
    </div>
</section>
<!-- Blog Page Area end -->           
<?php
get_footer();
?>