<?php
/*
 * Template Name: Cause Four Template
 * Description: A Page Template with a Page Builder design.
 */
$charitxa_redux_demo = get_option('redux_demo');
get_header(); ?>
<!-- Page Banner Start -->
<?php if(isset($charitxa_redux_demo['cause_4_background']['url']) && $charitxa_redux_demo['cause_4_background']['url'] != ''){ ?>
<section class="page-banner-area bgs-cover pt-145 rpt-135 pb-95" style="background-image: url(<?php echo esc_url($charitxa_redux_demo['cause_4_background']['url']);?>);">
<?php } else { ?>
<section class="page-banner-area bgs-cover pt-145 rpt-135 pb-95" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/images/background/banner.jpg);">
<?php } ?>
    <div class="container">
        <div class="banner-inner text-white">
            <h2 class="page-title wow fadeInRight delay-0-2s"><?php if(isset($charitxa_redux_demo['cause_4_title'])){?>
                <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['cause_4_title']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Our Causes', 'charitxa' ); } ?></h2>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb wow fadeInLeft delay-0-2s">
                    <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')); ?>"><i class="fas fa-home-lg-alt"></i> <?php if(isset($charitxa_redux_demo['cause_home_text'])){?>
                        <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['cause_home_text']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Home', 'charitxa' ); } ?></a></li>
                    <li class="breadcrumb-item active"><?php if(isset($charitxa_redux_demo['cause_4_title'])){?>
                <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['cause_4_title']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Our Causes', 'charitxa' ); } ?></li>
                </ol>
            </nav>
        </div>
    </div>
</section>
<!-- Page Banner End -->


<!-- Causes Page Area start -->
<section class="causes-page-area py-110">
    <div class="container">
        <div class="row">
            <div class="col-lg-8">
                <div class="row">
                    <?php $args = array(    
                    'paged' => $paged,
                    'post_type' => 'cause',
                    'posts_per_page' => $charitxa_redux_demo['cause_number'],
                    );
                    $wp_query = new WP_Query($args);
                    while (have_posts()): the_post();
                    $c_featured_image_5 = get_post_meta(get_the_ID(),'_cmb_c_featured_image_5', true);
                    ?>
                    <?php $donation_raised_number = get_post_meta(get_the_ID(),'_cmb_donation_raised_number', true); ?>
                    <?php $donation_raised_text = get_post_meta(get_the_ID(),'_cmb_donation_raised_text', true); ?>
                    <?php $raised_percent = get_post_meta(get_the_ID(),'_cmb_raised_percent', true); ?>
                    <?php $location = get_post_meta(get_the_ID(),'_cmb_location', true); ?> 
                    <div class="col-md-6">
                        <div class="cause-item-four wow fadeInUp delay-0-2s">
                            <div class="image">
                                <?php if(isset($c_featured_image_5) && $c_featured_image_5 != '') { ?>
                                <a href="<?php the_permalink();?>"><img src="<?php echo wp_get_attachment_url($c_featured_image_5);?>" alt="<?php the_title_attribute(); ?>"></a>
                                <?php } ?>
                            </div>
                            <div class="content">
                                <?php
                                $cats = get_the_terms(get_the_ID(),'category1');
                                foreach($cats as $cat) { ?>
                                <a class="category" href="<?php echo get_category_link( $cat->term_id ) ?>"><?php echo wp_kses_post($cat->name);?></a>
                                <?php } ?>
                                <h5><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h5>
                                <span class="price"><span><?php echo wp_kses_post($donation_raised_number); ?> </span> <i><?php echo wp_kses_post($donation_raised_text); ?></i></span>
                                <div class="progress">
                                  <div class="progress-bar" style="width: <?php echo wp_kses_post($raised_percent); ?>%"></div>
                                </div>
                                <ul class="cause-footer">
                                    <li><i class="fal fa-calendar-alt"></i> <?php the_time(get_option( 'date_format' ));?></li>
                                    <li><i class="far fa-map-marker-alt"></i> <?php echo wp_kses_post($location); ?></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <?php endwhile; ?>
                    <div class="col-lg-12 text-center">
                        <?php charitxa_pagination(); ?>
                    </div>
                </div>
            </div>
            <div class="col-lg-4 col-md-7 col-sm-9">
                <div class="main-sidebar rmt-75">
                    <?php get_sidebar('causes'); ?>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Causes Page Area end -->
<?php
get_footer();
?>