<?php
/*
 * Template Name: Cause Two Template
 * Description: A Page Template with a Page Builder design.
 */
$charitxa_redux_demo = get_option('redux_demo');
get_header(); ?>
<!-- Page Banner Start -->
<?php if(isset($charitxa_redux_demo['cause_2_background']['url']) && $charitxa_redux_demo['cause_2_background']['url'] != ''){ ?>
<section class="page-banner-area bgs-cover pt-145 rpt-135 pb-95" style="background-image: url(<?php echo esc_url($charitxa_redux_demo['cause_2_background']['url']);?>);">
<?php } else { ?>
<section class="page-banner-area bgs-cover pt-145 rpt-135 pb-95" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/images/background/banner.jpg);">
<?php } ?>
    <div class="container">
        <div class="banner-inner text-white">
            <h2 class="page-title wow fadeInRight delay-0-2s"><?php if(isset($charitxa_redux_demo['cause_2_title'])){?>
                <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['cause_2_title']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Our Causes', 'charitxa' ); } ?></h2>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb wow fadeInLeft delay-0-2s">
                    <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')); ?>"><i class="fas fa-home-lg-alt"></i> <?php if(isset($charitxa_redux_demo['cause_home_text'])){?>
                        <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['cause_home_text']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Home', 'charitxa' ); } ?></a></li>
                    <li class="breadcrumb-item active"><?php if(isset($charitxa_redux_demo['cause_2_title'])){?>
                <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['cause_2_title']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Our Causes', 'charitxa' ); } ?></li>
                </ol>
            </nav>
        </div>
    </div>
</section>
<!-- Page Banner End -->


<!-- Causes Page Area start -->
<section class="causes-page-area py-110">
    <div class="container">
        <div class="row">
            <div class="col-lg-8">
                <?php $args = array(    
                    'paged' => $paged,
                    'post_type' => 'cause',
                );
                $wp_query = new WP_Query($args);
                while (have_posts()): the_post();
                $c_featured_image_3 = get_post_meta(get_the_ID(),'_cmb_c_featured_image_3', true);
                ?> 
                <?php $donation_raised_number = get_post_meta(get_the_ID(),'_cmb_donation_raised_number', true); ?>
                <?php $donation_raised_text = get_post_meta(get_the_ID(),'_cmb_donation_raised_text', true); ?>
                <?php $donation_goal = get_post_meta(get_the_ID(),'_cmb_donation_goal', true); ?>
                <?php $donation_goal_text = get_post_meta(get_the_ID(),'_cmb_donation_goal_text', true); ?>
                <?php $raised_percent = get_post_meta(get_the_ID(),'_cmb_raised_percent', true); ?>
                <?php $location = get_post_meta(get_the_ID(),'_cmb_location', true); ?> 
                <div class="cause-item-three style-two wow fadeInUp delay-0-2s">
                    <div class="image">
                        <?php if(isset($c_featured_image_3) && $c_featured_image_3 != '') { ?>
                        <a href="<?php the_permalink();?>"><img src="<?php echo wp_get_attachment_url($c_featured_image_3);?>" alt="<?php the_title_attribute(); ?>"></a>
                        <?php } ?>
                        <div class="rised-donation">
                            <span class="donate-price"><?php echo wp_kses_post($donation_raised_number); ?></span>
                            <span class="donate-price-text"><?php echo wp_kses_post($donation_raised_text); ?></span>
                        </div>
                        <?php
                        $cats = get_the_terms(get_the_ID(),'category1');
                        foreach($cats as $cat) { ?>
                        <a class="category" href="<?php echo get_category_link( $cat->term_id ) ?>"><?php echo wp_kses_post($cat->name);?></a>
                        <?php } ?>
                    </div>
                    <div class="content">
                        <ul class="blog-meta">
                            <li><i class="fas fa-calendar-alt"></i> <span><?php the_time(get_option( 'date_format' ));?></span></li>
                        </ul>
                        <h5><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h5>
                        <p><?php echo wp_kses_post(charitxa_excerpt_3(20));?></p>
                        <div class="goal-donation">
                            <div class="left">
                                <span class="donate-price"><?php echo wp_kses_post($donation_goal); ?></span>
                                <span class="donate-price-text"><?php echo wp_kses_post($donation_goal_text); ?></span>
                            </div>
                            <a href="#" class="theme-btn br-10" data-bs-toggle="modal" data-bs-target="#donateModal">
                                <span class="btn-text normal"><i class="fas fa-heart"></i> <?php if(isset($charitxa_redux_demo['donate_now'])){?>
                                        <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['donate_now']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'Donate Now', 'charitxa' ); }  ?></span>
                                <span class="btn-text hover"><i class="fas fa-heart"></i> <?php if(isset($charitxa_redux_demo['donate_now'])){?>
                                        <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['donate_now']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'Donate Now', 'charitxa' ); }  ?></span>
                            </a>
                        </div>
                    </div>
                </div>
                <?php endwhile; ?> 
                <div class="pagi-center text-center">
                    <?php charitxa_pagination(); ?>
                </div>
            </div>
            <div class="col-lg-4 col-md-7 col-sm-9">
                <div class="main-sidebar rmt-75">
                    <?php get_sidebar('causes'); ?>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Causes Page Area end --> 
<?php
get_footer();
?>