<?php
/*
 * Template Name: Events Template
 * Description: A Page Template with a Page Builder design.
 */
$charitxa_redux_demo = get_option('redux_demo');
get_header(); ?>
<!-- Page Banner Start -->
<?php if(isset($charitxa_redux_demo['event_background']['url']) && $charitxa_redux_demo['event_background']['url'] != ''){ ?>
<section class="page-banner-area bgs-cover pt-145 rpt-135 pb-95" style="background-image: url(<?php echo esc_url($charitxa_redux_demo['event_background']['url']);?>);">
<?php } else { ?>
<section class="page-banner-area bgs-cover pt-145 rpt-135 pb-95" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/images/background/banner.jpg);">
<?php } ?>
    <div class="container">
        <div class="banner-inner text-white">
            <h2 class="page-title wow fadeInRight delay-0-2s"><?php if(isset($charitxa_redux_demo['event_title'])){?>
                <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['event_title']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Our Event', 'charitxa' ); } ?></h2>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb wow fadeInLeft delay-0-2s">
                    <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')); ?>"><i class="fas fa-home-lg-alt"></i> <?php if(isset($charitxa_redux_demo['event_home_text'])){?>
                        <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['event_home_text']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Home', 'charitxa' ); } ?></a></li>
                    <li class="breadcrumb-item active"><?php if(isset($charitxa_redux_demo['event_title'])){?>
                <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['event_title']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Our Event', 'charitxa' ); } ?></li>
                </ol>
            </nav>
        </div>
    </div>
</section>
<!-- Page Banner End -->


<!-- Event Area start -->
<section class="event-page py-110">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-xl-10">
                <?php $args = array(    
                    'paged' => $paged,
                    'post_type' => 'event',
                    'posts_per_page' => $charitxa_redux_demo['event_number'],
                    );
                    $wp_query = new WP_Query($args);
                    while (have_posts()): the_post();
                    $e_featured_image_2 = get_post_meta(get_the_ID(),'_cmb_e_featured_image_2', true);
                    $e_description = get_post_meta(get_the_ID(),'_cmb_e_description', true);
                    $e_location = get_post_meta(get_the_ID(),'_cmb_e_location', true);
                ?>
                <div class="event-item style-two wow fadeInUp delay-0-2s">
                    <div class="content">
                       <div class="date">
                           <b><?php echo get_the_date( 'd' );?></b>
                           <span><?php echo get_the_date( 'M, Y' );?></span>
                       </div>
                        <ul class="admin-heart">
                           <li>
                                <?php echo get_avatar(get_the_author_meta('user_email'),$size='30', $default='http://0.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=120' );?>
                                <i><span class="before-author">By:</span><?php the_author_posts_link(); ?></i>
                           </li>
                           <li>
                               <i class="fas fa-eye"></i> <?php echo gt_get_post_view(); ?>
                           </li>
                        </ul>
                        <h5><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h5>
                        <?php if(isset($e_description) && $e_description != '') { ?>
                        <p><?php echo wp_kses_post($e_description); ?></p>
                        <?php } ?>
                    </div>
                    <div class="image">
                        <?php if(isset($e_featured_image_2) && $e_featured_image_2 != '') { ?>
                        <a href="<?php the_permalink();?>"><img src="<?php echo wp_get_attachment_url($e_featured_image_2);?>" alt="causes"></a>
                        <?php } ?>
                        <?php if(isset($e_location) && $e_location != '') { ?>
                        <span class="location"><i class="fas fa-map-marker"></i> <?php echo wp_kses_post($e_location); ?></span>
                        <?php } ?>
                    </div>
                </div>
                <?php endwhile; ?>
            </div>
            <div class="col-lg-12 text-center">
                <?php charitxa_pagination(); ?>
            </div>
        </div>
    </div>
</section>
<!-- Event Area end -->    
<?php
get_footer();
?>