<?php
/*
 * Template Name: Stories Template
 * Description: A Page Template with a Page Builder design.
 */
$charitxa_redux_demo = get_option('redux_demo');
get_header(); ?>
<!-- Page Banner Start -->
<?php if(isset($charitxa_redux_demo['story_background']['url']) && $charitxa_redux_demo['story_background']['url'] != ''){ ?>
<section class="page-banner-area bgs-cover pt-145 rpt-135 pb-95" style="background-image: url(<?php echo esc_url($charitxa_redux_demo['story_background']['url']);?>);">
<?php } else { ?>
<section class="page-banner-area bgs-cover pt-145 rpt-135 pb-95" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/images/background/banner.jpg);">
<?php } ?>
    <div class="container">
        <div class="banner-inner text-white">
            <h2 class="page-title wow fadeInRight delay-0-2s"><?php if(isset($charitxa_redux_demo['story_title'])){?>
                <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['story_title']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Successful Stories', 'charitxa' ); } ?></h2>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb wow fadeInLeft delay-0-2s">
                    <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')); ?>"><i class="fas fa-home-lg-alt"></i> <?php if(isset($charitxa_redux_demo['story_home_text'])){?>
                        <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['story_home_text']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Home', 'charitxa' ); } ?></a></li>
                    <li class="breadcrumb-item active"><?php if(isset($charitxa_redux_demo['story_title'])){?>
                <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['story_title']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Successful Stories', 'charitxa' ); } ?></li>
                </ol>
            </nav>
        </div>
    </div>
</section>
<!-- Page Banner End -->


<!-- Stories Page Area start -->
<section class="stories-page-area py-110">
    <div class="container">
        <div class="row">
            <div class="col-lg-8">
                <div class="row">
                    <?php $args = array(    
                        'paged' => $paged,
                        'post_type' => 'story',
                        'posts_per_page' => $charitxa_redux_demo['story_number'],
                        );
                        $wp_query = new WP_Query($args);
                        while (have_posts()): the_post();
                        $st_featured_image_2 = get_post_meta(get_the_ID(),'_cmb_st_featured_image_2', true);
                    ?>
                    <div class="col-md-6">
                        <div class="story-item wow fadeInUp delay-0-4s">
                            <?php if(isset($st_featured_image_2) && $st_featured_image_2 != '') { ?>
                            <div class="image">
                                <img src="<?php echo wp_get_attachment_url($st_featured_image_2);?>" alt="<?php the_title_attribute(); ?>">
                            </div>
                            <?php } ?>
                            <div class="content">
                                <?php
                                $cats = get_the_terms(get_the_ID(),'category5');
                                foreach($cats as $cat) { ?>
                                <span class="badge"><?php echo wp_kses_post($cat->name);?></span>
                                <?php } ?>
                                <ul class="blog-meta">
                                    <li><i class="fas fa-calendar-alt"></i> <?php the_time(get_option( 'date_format' ));?></li>
                                </ul>
                                <h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
                                <ul class="bottom-list">
                                    <li><?php echo gt_get_post_view(); ?></li>
                                    <li><?php the_author_posts_link(); ?></li>
                                </ul>
                                <a class="details-btn" href="<?php the_permalink(); ?>"><i class="fas fa-arrow-right"></i></a>
                            </div>
                        </div>
                    </div>
                    <?php endwhile; ?> 
                    <div class="col-lg-12 text-center">
                        <?php charitxa_pagination(); ?>
                    </div>
                </div>
            </div>
            <div class="col-lg-4 col-md-7 col-sm-9">
                <div class="main-sidebar rmt-75"> 
                    <?php get_sidebar('story') ?>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Stories Page Area end -->  
<?php
get_footer();
?>