<?php
/**
 * The Template for displaying all single posts
 */
$charitxa_redux_demo = get_option('redux_demo');
get_header(); ?>
<?php 
    while (have_posts()): the_post(); ?>
    <?php $sv_icon_0 = get_post_meta(get_the_ID(),'_cmb_sv_icon_0', true); ?>
    <!-- Page Banner Start -->
    <?php if(isset($charitxa_redux_demo['service_detail_background']['url']) && $charitxa_redux_demo['service_detail_background']['url'] != ''){ ?>
    <section class="page-banner-area bgs-cover pt-145 rpt-135 pb-95" style="background-image: url(<?php echo esc_url($charitxa_redux_demo['service_detail_background']['url']);?>);">
    <?php } else { ?>
    <section class="page-banner-area bgs-cover pt-145 rpt-135 pb-95" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/images/background/banner.jpg);">
    <?php } ?>
        <div class="container">
            <div class="banner-inner text-white">
                <h2 class="page-title wow fadeInRight delay-0-2s"><?php if(isset($charitxa_redux_demo['service_detail_title'])){?>
                <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['service_detail_title']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Service Details', 'charitxa' ); } ?></h2>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb wow fadeInLeft delay-0-2s">
                        <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')); ?>"><i class="fas fa-home-lg-alt"></i> <?php if(isset($charitxa_redux_demo['service_home_text'])){?>
                        <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['service_home_text']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Home', 'charitxa' ); } ?></a></li>
                        <li class="breadcrumb-item active"><?php if(isset($charitxa_redux_demo['service_detail_title'])){?>
                <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['service_detail_title']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Service Details', 'charitxa' ); } ?></li>
                    </ol>
                </nav>
            </div>
        </div>
    </section>
    <!-- Page Banner End -->
    

    <!-- Service Details Area start -->
    <section class="service-details-area py-110 rpt-105">
        <div class="container">
            <div class="row">
               <div class="col-lg-4 col-md-7 col-sm-9">
                    <div class="main-sidebar rmb-75">
                        <?php get_sidebar('service'); ?>
                    </div>
                </div>
                <div class="col-lg-8">
                    <?php if ( has_post_thumbnail() ) { ?>
                    <div class="service-details-image wow fadeInUp delay-0-3s">
                        <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="<?php the_title_attribute(); ?>">
                    </div>
                    <?php } ?>
                    <div class="service-details-content wow fadeInUp delay-0-2s">
                        <?php if(isset($sv_icon_0) && $sv_icon_0 != '') { ?>
                        <div class="icon">
                            <img src="<?php echo wp_get_attachment_url($sv_icon_0);?>" alt="Icon">
                        </div>
                        <?php } ?>
                        <div class="title">
                            <h4><?php the_title(); ?></h4>
                            <a href="<?php echo esc_url($charitxa_redux_demo['join_us_link_button']);?>" class="theme-btn style-three br-10 mb-20">
                                <span class="btn-text normal"><i class="fas fa-heart"></i> <?php if(isset($charitxa_redux_demo['join_us_button'])){?>
                                        <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['join_us_button']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'Join Us Now', 'charitxa' ); } ?></span>
                                <span class="btn-text hover"><i class="fas fa-heart"></i> <?php if(isset($charitxa_redux_demo['join_us_button'])){?>
                                        <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['join_us_button']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'Join Us Now', 'charitxa' ); } ?></span>
                            </a>
                        </div>
                        <?php the_content(); ?>
                    </div>
                    <div class="share-tags mt-65">
                        <div class="share-items wow fadeInRight delay-0-2s">
                            <h6><?php if(isset($charitxa_redux_demo['sv_share'])){?>
                                        <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['sv_share']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'Share: ', 'charitxa' ); } ?></h6>
                            <div class="social-style-four">
                                <span class='st_facebook_hcount link link--facebook d-inline-flex align-items-center justify-content-center'></span>
                                <span class='st_linkedin_hcount link link--linkedin d-inline-flex align-items-center justify-content-center'></span>  
                                <script type="text/javascript" src="https://w.sharethis.com/button/buttons.js"></script>
                                <script type="text/javascript">stLight.options({publisher: "ur-6a7e320d-37d8-511-633d-4264e3ae8c", doNotHash: false, doNotCopy: false, hashAddressBar: false});</script>
                            </div>
                        </div>
                        <div class="tag-items wow fadeInLeft delay-0-2s">
                            <h6><?php if(isset($charitxa_redux_demo['sv_types'])){?>
                                        <?php echo wp_specialchars_decode(wp_kses_post($charitxa_redux_demo['sv_types']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'Types: ', 'charitxa' ); } ?></h6>
                            <div class="tag-coulds">
                                <?php
                                $args2 = array(
                                    'taxonomy' => 'type3',
                                );
                                $types = get_categories($args2);
                                foreach($types as $type) :
                                $url = get_term_link($type);
                                ?>
                                <a href="<?php echo esc_url($url, 'charitxa'); ?>"><?php echo wp_kses_post($type->name); ?></a>
                                <?php endforeach; ?>                                  
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Service Details Area end -->
    <?php endwhile; ?>
<?php
get_footer();
?>